<%@ page import="com.cidat.proclets.*,q53_util.*,java.util.StringTokenizer" session="true" %>
<%@ page contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %>
<% com.cidat.proclets.ProcletServiceData sd =(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); %>
<% 

String host_msgitourbask = q53Util.getQ53Property("host_msgitourbask");

String q53_idioma = q53Util.getIdioma(sd);
String language = "";
if(q53_idioma.equals("C"))
	language = "es";
else
	language = "eu";
session.setAttribute( "language", language );

Cookie[] cookies = request.getCookies();

String q53_artus="";
String q53_artuspw="";
String q53_folletospw="";
String q53_perfil="";
String q53_usuario="";
String q53_oficina="";
q53_idioma="";
String q53_destino="";
if(cookies!=null){
	for(int i=0;i<cookies.length;i++){
		//q53LogEstadisticas.printLog("nombre de la cookie->"+cookies[i].getName()+" valor de la cookie->"+cookies[i].getValue());
		if(cookies[i].getName().equals("q53_artus")){
			q53_artus = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_artuspw")){
			q53_artuspw = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_password")){
			q53_folletospw = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_perfil")){
			q53_perfil = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_usuario")){
			q53_usuario = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_oficina")){
			q53_oficina = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_idioma")){
			q53_idioma = cookies[i].getValue();
		} else if(cookies[i].getName().equals("q53_destino")){
			q53_destino = cookies[i].getValue();
		}
	}
}

// Ahora hay una nueva url para folletos
//String url_msgitourbask = "http://"+q53Util.getQ53Property("host_msgitourbask")+"/msgitourbask/Q53F_Solicitudes.apl";
String url_msgitourbask = q53Util.getQ53Property("URL_Folletos_Login");
String url_artus = q53Util.getQ53Property("url_artus");
String url = "";
String password = "";
String idioma_folletos = "es";
if (q53_destino.equals(q53Constantes.DESTINO_FOLLETOS)){
	url = url_msgitourbask;
	password = q53_folletospw;
	if (q53_idioma.equalsIgnoreCase(q53Constantes.IDIOMA_EUS))
		idioma_folletos = "eu";
} else if (q53_destino.equals(q53Constantes.DESTINO_ESTADISTICAS)){
	url = url_artus;
	password = q53_artuspw;
}
String repo_artus= q53Util.getQ53Property("repositorioArtus");
String perfilUser="NO";
String perfilCoord="NO";
String perfilAdmin="NO";
if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_USRO)) {
    perfilUser = "SI";
}
if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_COOR)) {
    perfilCoord = "SI";
}
if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_ADMO)) {
    perfilAdmin = "SI";
}

String oficinas_hijo="nada";
String[] nombres_oficinas={"nada"};
String es_padre="nada";
String destino = sd.gOS("q53_cki.q53_destino");

for(int i=0;i<cookies.length;i++) {
	if(cookies[i].getName().equals("q53_es_padre"))
		es_padre=cookies[i].getValue();
	else if(cookies[i].getName().equals("q53_oficinas_hijo"))	
	{
		oficinas_hijo=cookies[i].getValue();
		StringTokenizer tokens=new StringTokenizer(oficinas_hijo, "*");
		int nDatos=tokens.countTokens();
	    nombres_oficinas=new String[nDatos];
	    int j=0;
	    while(tokens.hasMoreTokens()){
	    	String str=tokens.nextToken();
	        nombres_oficinas[j]=str;
	        j++;
	   	}
	}
}

String mnu_recogida_datos = q53Util.getLiteral(sd, "MNU_RECOGIDA_DATOS", q53_idioma);
String ALERT_PERDER_DATOS = q53Util.getLiteral(sd, "ALERT_PERDER_DATOS", q53_idioma);
String ENC_PRESENCIAL = q53Util.getLiteral(sd, "ENC_PRESENCIAL", q53_idioma);
String ENC_NO_PRES = q53Util.getLiteral(sd, "ENC_NO_PRES", q53_idioma);
String ENC_INDIVIDUAL = q53Util.getLiteral(sd, "ENC_INDIVIDUAL", q53_idioma);
String ENC_TABLA = q53Util.getLiteral(sd, "ENC_TABLA", q53_idioma);
String MNU_GENERAR_ENCUESTAS = q53Util.getLiteral(sd, "MNU_GENERAR_ENCUESTAS", q53_idioma);
String USR_VER_ENCUESTAS = q53Util.getLiteral(sd, "USR_VER_ENCUESTAS", q53_idioma);
String MNU_ESTADISTICAS2 = q53Util.getLiteral(sd, "MNU_ESTADISTICAS2", q53_idioma);
String MNU_SOLICITUDES = q53Util.getLiteral(sd, "MNU_SOLICITUDES", q53_idioma);
String MNU_ADMINISTRACION = q53Util.getLiteral(sd, "MNU_ADMINISTRACION", q53_idioma);
String MNU_CAMBIAR_PERFIL = q53Util.getLiteral(sd, "MNU_CAMBIAR_PERFIL", q53_idioma);
String TIP_SETTINGS = q53Util.getLiteral(sd, "TIP_SETTINGS", q53_idioma);
String MNU_OTRAS_ENCUESTAS =  q53Util.getLiteral(sd, "ENC_OTRAS_ENCUESTAS", q53_idioma);


String uri = request.getRequestURI();
uri = uri.substring(uri.lastIndexOf('/'));

boolean generarEncuestas = false;
boolean verRespuestas = false;
int tipoEncuesta = 0;
String generarEncuesta = "";
if (sd.gOS("genEncuesta") != null){
	generarEncuesta = sd.gOS("genEncuesta").toString();
}
if (uri.indexOf(q53Constantes.MENU_GENERAR_ENCUESTAS)>-1) {
	generarEncuestas = true;
} else if (uri.indexOf(q53Constantes.MENU_TODAS_LAS_RESPUESTAS)>-1) {
	verRespuestas = true;
	if (sd.getVal("encuesta").equals("nopres")){
		tipoEncuesta = 3;
	} else {
		tipoEncuesta = 1;
	}
} else if (uri.indexOf(q53Constantes.MENU_TODAS_LAS_RESPUESTAS_VER)>-1) {
	verRespuestas = true;
	if (uri.indexOf(q53Constantes.MENU_TODAS_LAS_RESPUESTAS_VER_NO_PRESENCIAL)>-1){
		tipoEncuesta = 3;
	} else {
		tipoEncuesta = 1;
	}
} else if (uri.indexOf(q53Constantes.MENU_ENCUESTA_NO_PRESENCIAL_TABLA)>-1) {
	tipoEncuesta = 4;
} else if (uri.indexOf(q53Constantes.MENU_ENCUESTA_NO_PRESENCIAL_INDIVIDUAL)>-1) {
	tipoEncuesta = 3;
} else if (uri.indexOf(q53Constantes.MENU_ENCUESTA_PRESENCIAL_TABLA)>-1) {
	tipoEncuesta = 2;
} else if (uri.indexOf(q53Constantes.MENU_ENCUESTA_PRESENCIAL_INDIVIDUAL)>-1) {
	tipoEncuesta = 1;
}
%>
<link href="/appcont/itourbask/bootstrap/styles/bootstrap-theme.css" rel="stylesheet">
<nav class="menu-bar navbar navbar-default" role="navigation">
	<div class="container-fluid">
	    <div class="navbar-header">
	    	<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
	        	<span class="sr-only">Toggle navigation</span>
	        	<span class="icon-bar"></span>
	        	<span class="icon-bar"></span>
	        	<span class="icon-bar"></span>
	      	</button>
	      	<!-- MENU ADMINISTRACION -->
			
	    </div>
	    
	    <div id="navbar" class="navbar-collapse collapse menu_izda">
	
			<!-- MENU izquierda -->
			<% if (!generarEncuestas && "".equals(generarEncuesta)){ %>
				<ul id="menu_izda" class="menu nav navbar-nav">
					<li class="dropdown">
						<a data-toggle="dropdown">
							<% if (tipoEncuesta == 1 || tipoEncuesta == 2) { %>
								<%=ENC_PRESENCIAL%>
							<% } else { %>
								<%=ENC_NO_PRES%>
							<% } %>
							<span style="top:6px" class="icon material-icons">&#9660;</span>	
						</a>
						<ul class="dropdown-menu">
							<li>
								<% if (!verRespuestas) {
									switch (tipoEncuesta) {
										case 1: %>
											<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaNoPresencialServlet' ,'<%=ALERT_PERDER_DATOS%>');">
												<%=ENC_NO_PRES%>
											</a>
										<% break; 
										case 2: %>
											<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaNoPresencialTablaServlet' ,'<%=ALERT_PERDER_DATOS%>');">
												<%=ENC_NO_PRES%>
											</a>
										<% break; 
										case 3: %>
											<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaPresencialServlet' ,'<%=ALERT_PERDER_DATOS%>');">
												<%=ENC_PRESENCIAL%>
											</a>
										<% break; 
										case 4: %>
											<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaPresencialTablaServlet' ,'<%=ALERT_PERDER_DATOS%>');">
												<%=ENC_PRESENCIAL%>
											</a>
										<% break;
										default: break;
									}
								} else { 
									switch (tipoEncuesta) {
										case 1: %>
											<a href="/q53ItourbaskWar/q53usrBusquedaServlet?cod_al=<%=q53Util.obtener_cod_aleatorio()%>&encuesta=nopres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=">
												<%=ENC_NO_PRES%>
											</a>
										<% break;
										case 3: %>
											<a href="/q53ItourbaskWar/q53usrBusquedaServlet?cod_al=<%=q53Util.obtener_cod_aleatorio()%>&encuesta=pres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=">
												<%=ENC_PRESENCIAL%>
											</a>
										<% break; 
										default: break;
									}
								} %>
							</li>
						</ul>
					</li>
					
					<% if (!verRespuestas){ %>
						<li id="individual_tabla" class="dropdown">
							<a data-toggle="dropdown">
								<% if (tipoEncuesta == 1 || tipoEncuesta == 3) { %>
									<%=ENC_INDIVIDUAL%>
								<% } else { %>
									<%=ENC_TABLA%>
								<% } %>
								<span style="top:6px" class="icon material-icons">&#9660;</span>
							</a>
							<ul class="dropdown-menu">
								<li id="menu4">
									<% switch (tipoEncuesta) {
											case 1: %>
												<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaPresencialTablaServlet' ,'<%=ALERT_PERDER_DATOS%>');">
													<%=ENC_TABLA%>
												</a>
											<% break; 
											case 2: %>
												<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaPresencialServlet' ,'<%=ALERT_PERDER_DATOS%>');">
													<%=ENC_INDIVIDUAL%>
												</a>
											<% break; 
											case 3: %>
												<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaNoPresencialTablaServlet' ,'<%=ALERT_PERDER_DATOS%>');">
													<%=ENC_TABLA%>
												</a>
											<% break; 
											case 4: %>
												<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaNoPresencialServlet' ,'<%=ALERT_PERDER_DATOS%>');">
													<%=ENC_INDIVIDUAL%>
												</a>
											<% break;
											default: break;
										} %>
								</li>
							</ul>
						</li>
					<% } %>
				</ul>
			<% } %>
			<%if (!"".equals(generarEncuesta)) {%>
					<ul id="menu_izda" class="menu nav navbar-nav"><li>	
						<ul class="menu">
							<li class="dropdown">
								<a data-toggle="dropdown"> 
									<% if (generarEncuesta.equals("crear")) { %>
										<%= q53Util.getLiteral(sd, "ENC_CREAR", q53_idioma) %>
									<% } else { %>
										<%=q53Util.getLiteral(sd, "ENC_OTRAS_ENCUESTAS", q53_idioma)%>
									<% } %>
									<span style="top:6px" class="icon material-icons">&#9660;</span>	
								</a>
								<ul class="dropdown-menu">
									<li id="menu33">
									<% if (generarEncuesta.equals("crear")) { %>
										<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53encListarServlet?genEncuesta=otras' ,'<%=ALERT_PERDER_DATOS%>');">
											<%=q53Util.getLiteral(sd, "ENC_OTRAS_ENCUESTAS", q53_idioma)%>
										</a>
									<%}else{ %>
										<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53encVerDatosGrlesServlet?accion=nuevo&genEncuesta=crear&recogida_datos=N' ,'<%=ALERT_PERDER_DATOS%>');">
											<%=q53Util.getLiteral(sd, "ENC_CREAR", q53_idioma)%>
										</a>
									<%} %>
									</li>
								</ul>
							</li>
						</ul>
					</li>
					</ul>
				<%} %>
			<!-- FIN MENU izquierda -->
		
					
			<!-- MENU centro -->
			<ul id="menu_centro" class="menu menu_centro nav navbar-nav">
				<li>
					<% if (!verRespuestas ) { 
						if (!"".equals(generarEncuesta)){%>
							<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaPresencialServlet' ,'<%=ALERT_PERDER_DATOS%>');">
								<span id="recogida_datos"></span>
								<%= mnu_recogida_datos %>
							</a>
							</li>
							<li>
							<a href="/q53ItourbaskWar/q53usrBusquedaServlet?encuesta=pres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=">
									<span id="respuestas"></span>
									<%= USR_VER_ENCUESTAS %>
								</a>
							<!-- no se cierra el li pq esto es solo para generar, lo siento -->
						<%}else{ %>
							<a href="#" class="active">
								<span id="recogida_datos_active"></span>
								<%= mnu_recogida_datos %>
							</a>
						<%} %>
					<% } else { 
						switch (tipoEncuesta) {
							case 1: %>
								<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaPresencialServlet' ,'<%=ALERT_PERDER_DATOS%>');">
									<span id="recogida_datos"></span>
									<%= mnu_recogida_datos %>
								</a>
							<% break;
							case 3: %>
								<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53usrEncuestaNoPresencialServlet' ,'<%=ALERT_PERDER_DATOS%>');">
									<span id="recogida_datos"></span>
									<%= mnu_recogida_datos %>
								</a>
							<% break; 
							default: break;
						} %>
						
					<% } %>
				</li>
				<li>
					<% if (verRespuestas) { %>
						<a href="#" class="active">
							<span id="respuestas_active"></span>
							<%= USR_VER_ENCUESTAS %>
						</a>
					<% } else { 
						switch (tipoEncuesta) {
							case 1: %>
								<a href="/q53ItourbaskWar/q53usrBusquedaServlet?cod_al=<%=q53Util.obtener_cod_aleatorio()%>&encuesta=pres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=">
									<span id="respuestas"></span>
									<%= USR_VER_ENCUESTAS %>
								</a>
							<% break;
							case 2: %>
								<a href="/q53ItourbaskWar/q53usrBusquedaServlet?encuesta=pres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=">
									<span id="respuestas"></span>
									<%= USR_VER_ENCUESTAS %>
								</a>
							<% break;
							case 3: %>
								<a href="/q53ItourbaskWar/q53usrBusquedaServlet?cod_al=<%=q53Util.obtener_cod_aleatorio()%>&encuesta=nopres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=">
									<span id="respuestas"></span>
									<%= USR_VER_ENCUESTAS %>
								</a>
							<% break; 
							case 4: %>
								<a href="/q53ItourbaskWar/q53usrBusquedaServlet?encuesta=nopres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=">
									<span id="respuestas"></span>
									<%= USR_VER_ENCUESTAS %>
								</a>
							<% break; 
							default: break;
						}
					} %>
				</li>
				<li>
					<%if (!"".equals(generarEncuesta)) {%>
						<a href="#" class='active'/>
						<span id="generar_encuestas_active"></span>
					<%}else{ %>
						<a href="javascript:CargarPaginaConfirm('/q53ItourbaskWar/q53encListarServlet?genEncuesta=otras' ,'<%=ALERT_PERDER_DATOS%>');" />
						<span id="generar_encuestas"></span>
					<%} %>
					<%= MNU_GENERAR_ENCUESTAS %>
					</a>
				</li>				
				<% if(es_padre.equals("1") && nombres_oficinas.length>1){%>
					<li class="dropdown" id="ofis">
						<a data-toggle="dropdown">
							<%= q53Util.getNombreOficina(sd, sd.gOS("q53_cki.q53_oficina")) %>
							<span style="top:6px" class="icon material-icons">&#9660;</span>
						</a>
						<ul id="oficinas" class="dropdown-menu  scrollable-menu">
						<% for(int i=0;i<nombres_oficinas.length;i++){
							if (!nombres_oficinas[i].split("#")[1].equals(q53Util.getNombreOficina(sd, sd.gOS("q53_cki.q53_oficina")))){ %>
								<li id="<%=nombres_oficinas[i].split("#")[0]%>">
									<a href="#"><%=nombres_oficinas[i].split("#")[1]%></a>
								</li>
							<% }
						} %>
						</ul>
						<select name="oficina" id="oficinahidden" style="display:none">
				           	<%for(int i=0;i<nombres_oficinas.length;i++){ 
				           	  if(nombres_oficinas[i].split("#")[1].equals(q53Util.getNombreOficina(sd, sd.gOS("q53_cki.q53_oficina")))){%>
				           		<option name="opcion_oficina" value="<%=nombres_oficinas[i].split("#")[0]%>" selected="true"><%=nombres_oficinas[i].split("#")[1]%></option>
				           	<%}else{%>
				           	  	<option name="opcion_oficina" value="<%=nombres_oficinas[i].split("#")[0]%>"><%=nombres_oficinas[i].split("#")[1]%></option>
				           	 <%}%>
				           	<%}%>
				        </select>	
					</li>
				
				<% } %>		
				</ul>
			<!-- FIN MENU centro -->
			
		</div><!--/.nav-collapse -->
		<div class="filter-select menu_dcha filter-bar-collapsable">

				<div class="dropdown das" id="settings-dropdown">
					<span id="settings_icon" class="btn btn-material-circle icon-right off" title="<%=TIP_SETTINGS%>">
						<img style="width:inherit" src="/appcont/itourbask/imgs/gear-21.svg"  onerror="this.src='/appcont/itourbask/imgs/gear-21.png'" />
						<span id="pulsado" style="display:none;">si</span>
					</span>
					<!--[if IE 9]>
					<style>
					.ui-menu .ui-menu-item{
						position: relative;
					    margin: 0;
					    padding: 3px 1em 3px .4em;
					    cursor: pointer;
					    min-height: 0;
    					list-style-image:none;
					}
					</style>
					<![endif]-->
					<ul id="settings_menu" class="dropdown-menu" style="display:none;">
						<li class="ui-widget-header">Offline</li>
						<li>
							<a href="/q53ItourbaskWar/pres" target="_blank" hidefocus >
								<%= q53Util.getLiteral(sd, "MNU_RECOGIDA_DATOS_HTA_LOCAL_PRES", q53_idioma) %>
							</a>
						</li>
						<li>
							<a href="/q53ItourbaskWar/nopres" target="_blank" hidefocus >
								<%= q53Util.getLiteral(sd, "MNU_RECOGIDA_DATOS_HTA_LOCAL_NOPRES", q53_idioma) %>
							</a>
						</li>
						<li>
							<a href="/q53ItourbaskWar/manual" target="_blank" hidefocus >
								<%= q53Util.getLiteral(sd, "MNU_MANUAL_INSTALACION", q53_idioma) %>
							</a>
						</li>
						<% if (destino == null || destino.equals("")){ %>
							<li class="ui-widget-header">Otras aplicaciones</li>
							<li>
								<a href="javascript: cambiar_destino('folletos');">
									<%= MNU_SOLICITUDES %>
								</a>
							</li>
							<li>
								<a href="javascript: cambiar_destino('estadisticas');">
									<%= MNU_ESTADISTICAS2 %>
								</a>
							</li>
						<% } %>
						<% if (q53Util.esPerfil (sd, q53Constantes.PERFIL_COOR)){ %>
						<li class="ui-widget-header"><%= MNU_ADMINISTRACION %></li>
						<li>
							<a href="javascript: irAppExterna('administracion')">
								<%= MNU_ADMINISTRACION %> 
							</a>
						</li>
						<%} %>
						<!-- li>
							<a href="javascript: cambiar_idioma();">
								<%= (q53_idioma.equals(q53Constantes.IDIOMA_EUS)?"castellano":"euskera") %>
							</a>
						</li-->
						<% if (q53Util.esPerfil (sd, q53Constantes.PERFIL_COOR)){ %>
							<!-- li>
								<form name="frm_perfil" action="/q53ItourbaskWar/q53genLoginServlet" method="post">
									<input type="hidden" name="es_usuario_padre" value="no">	
									<input type="hidden" name="usuario" value="<%= sd.gOS("q53_cki.q53_nombre_usuario") %>">
									<input type="hidden" name="clave" value="<%= sd.gOS("q53_cki.q53_password") %>">
								</form>
								<a href="javascript: cambiar_perfil();"><%= MNU_CAMBIAR_PERFIL %></a>
							</li-->
						<% } %>
						<li class="ui-widget-header"></li>
						<li>
							<a href="javascript: ayuda();">
		    					<%= (q53_idioma.equals(q53Constantes.IDIOMA_EUS)?"laguntza":"ayuda") %>
		    				</a>
						</li>
					</ul>
					<% if (destino == null || destino.equals("")){ %>
						<form name="frm_destino" action="/q53ItourbaskWar/q53genLoginServlet" method="post">
							<input type="hidden" name="es_usuario_padre" value="si">
						</form>
					<% } %>
				</div>	
			</div>
			<!-- FIN MENU ADMINISTRACION -->
    </div><!--/.container-fluid -->
    <%
    q53_perfil = "";
    if(cookies!=null){
    	for(int i=0;i<cookies.length;i++){
    		//q53LogEstadisticas.printLog("nombre de la cookie->"+cookies[i].getName()+" valor de la cookie->"+cookies[i].getValue());
    		if(cookies[i].getName().equals("q53_perfil")){
    			q53_perfil = cookies[i].getValue();
    		}
    	}
    }
    perfilUser="NO";
	perfilCoord="NO";
	perfilAdmin="NO";
	if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_USRO)) {
	    perfilUser = "SI";
	}
	if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_COOR)) {
	    perfilCoord = "SI";
	}
	if (q53Util.isPerfil(q53_perfil, q53Constantes.PERFIL_ADMO)) {
	    perfilAdmin = "SI";
	}
	%>
	<FORM name="frm2" action="" method="post" style="display:none">
                <INPUT type="hidden" name="ssoId" value="<%=q53_usuario%>">
				<INPUT type="hidden" name="locale" value="<%=idioma_folletos%>">
			    <INPUT type="hidden" name="cmbRepositorios" value="<%=repo_artus%>"> 
			    <INPUT type="hidden" name="username" value="<%=q53_artus%>">
			    <INPUT type="hidden" name="password" value="<%=password%>"> 
			    <INPUT type="hidden" name="repository" value="<%=repo_artus%>"> 
			    <INPUT type="hidden" name="txtCodUsuario" value="<%=sd.gOS("q53_cki.q53_usuario")%>">
                <INPUT type="hidden" name="txtCodIdioma" value="<%=q53Util.getIdioma(sd)%>">
                <INPUT type="hidden" name="txtCodOficina" value="<%=sd.gOS("q53_cki.q53_oficina")%>">
                <INPUT type="hidden" name="perfilUser" value="<%=perfilUser%>">
                <INPUT type="hidden" name="perfilCoord" value="<%=perfilCoord%>">
                <INPUT type="hidden" name="perfilAdmin" value="<%=perfilAdmin%>">
                <INPUT type="hidden" name="q53_perfil" value="<%=sd.gOS("q53_cki.q53_perfil")%>">
	</FORM>
	
</nav>

<script src="/appcont/itourbask/jquery-ui/external/jquery/jquery.js"></script>
<script src="/appcont/itourbask/scripts/bootstrap.js"></script>
<script src="/appcont/itourbask/jquery-ui/jquery-ui.js"></script>
<script src="/appcont/itourbask/scripts/cookies.js"></script>
<script>
	$(document).ready(function(){
	
		if ($(window).width() < 768){
			$("#menu_izda").removeClass("menu");
			$("#menu_izda").removeClass("menu_izda");
			$("#menu_centro").removeClass("menu");
			$("#menu_centro").removeClass("menu_centro");
			$("#individual_tabla").hide();
		}
		$(window).resize(function(){
			if ($(window).width() < 768){
				$("#menu_izda").removeClass("menu");
				$("#menu_izda").removeClass("menu_izda");
				$("#menu_centro").removeClass("menu");
				$("#menu_centro").removeClass("menu_centro");
				$("#individual_tabla").hide();
			}
		});
		if ($(window).width() >= 768){
			$("#menu_izda").addClass("menu");
			$("#menu_izda").addClass("menu_izda");
			$("#menu_centro").addClass("menu");
			$("#menu_centro").addClass("menu_centro");
			$("#individual_tabla").show();
		}
		$(window).resize(function(){
			if ($(window).width() >= 768){
				$("#menu_izda").addClass("menu");
				$("#menu_izda").addClass("menu_izda");
				$("#menu_centro").addClass("menu");
				$("#menu_centro").addClass("menu_centro");
				$("#individual_tabla").show();
			}
		});
		/*
		$("#oficina_actual").click(function(){
			$("#oficinas").toggle("blind", 200);
		});
	*/
		$("#oficinas li").click(function (){
			var dominio = location.host; // xxx.dominio.do	
			<% if ("LOCAL".equalsIgnoreCase(q53Util.getQ53Property("ENTORNO"))){ %> // para trabajar en local
				var tmp = dominio.indexOf(":");
				if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(0, tmp);
			<% } else { %> // para conseguir sólo el dominio.do:
				var tmp = dominio.indexOf(".");
				if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(tmp+15);
			<% } %>
			var id = $(this).attr("id");
			cki_setCookie( "q53_oficina", id, null, dominio);
			<%if(request.getParameter("pageFather") != null && request.getParameter("pageFather").equals("userInterview")){%>
	            location.href= "/q53ItourbaskWar/q53usrEncuestaPresencialServlet";
			<%}else{%>
	            location.reload();
	        <%}%>
		});
		
		$("#settings_icon").click(function(){
			$("#settings_menu").toggle("slide", 200);
			if ($("#pulsado").val() == "si"){
				$(this).addClass("off");
				$("#pulsado").val("no");
			} else {
				$(this).removeClass("off");
				$("#pulsado").val("si");
			}
		});
		
		$( document ).tooltip({
			position: {
				my: "center bottom-8",
				at: "center top",
				using: function( position, feedback ){
					$( this ).css( position );
					$( "<div>" )
						.addClass( "arrow" )
						.addClass( feedback.vertical )            
						.addClass( feedback.horizontal )            
						.appendTo( this );
				}	
			}
		});
		
		$( "#settings_menu" ).menu({      
			items: "> :not(.ui-widget-header)"    
		});
				
	});
	
	function CargarPaginaConfirm(ref,msg){
		if(hayDatos()){
			if(window.confirm(msg)){
				cargarPAG(ref);
			}
		}else{
			cargarPAG(ref);
		}
	}
	
	function hayDatos(){
		var tipo="";
		if (!document.frm){
			return false;
		}
		for (i=0;i<document.frm.elements.length;i++)
		{
			tipo=document.frm.elements[i].type;
			if(tipo=="text"){
					if(document.frm.elements[i].value!=""){
						return true;
					}
			}		
		}
		return false;
	}
	
	function cargarPAG(str){
	   document.location.href = str;
	}
	
	function cambiar_idioma () {
		var q53_idioma = "<%= q53_idioma %>"; 
		
		var dominio = location.host; // xxx.dominio.do	
		<% if ("LOCAL".equalsIgnoreCase(q53Util.getQ53Property("ENTORNO"))){ %> // para trabajar en local
			var tmp = dominio.indexOf(":");
			if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(0, tmp);
		<% } else { %> // para conseguir sólo el dominio.do:
			var tmp = dominio.indexOf(".");
			if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(tmp+15);
		<% } %>
	
		if (q53_idioma == "E") {
			// es euskera. ponerlo a castellano
			cki_setCookie( "q53_idioma", "C", null, dominio);
		}
		else {
			// es castellano. ponerlo a euskera
			cki_setCookie( "q53_idioma", "E", null, dominio);
		}
		
		<% if (request.getParameter("pageFather") != null && request.getParameter("pageFather").equals("userInterview")){ %>
            location.href= "/q53ItourbaskWar/q53usrEncuestaPresencialServlet";
		<% } else { %>
            location.reload();
        <% } %>
	}
	
	function cambiar_perfil() {
		var dominio = location.host; // xxx.dominio.do	
		<% if ("LOCAL".equalsIgnoreCase(q53Util.getQ53Property("ENTORNO"))){ %> // para trabajar en local
			var tmp = dominio.indexOf(":");
			if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(0, tmp);
		<% } else { %> // para conseguir sólo el dominio.do:
			var tmp = dominio.indexOf(".");
			if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(tmp+15);
		<% } %>
		cki_setCookie( "q53_mostrar_elegir", "S", null, dominio);
		frm_perfil.submit();
	}
		
	function ayuda(){
		alert("Pendiente de implementación");
		return;
	}
	
	function cambiar_destino(app) {		
		var dominio = location.host; // xxx.dominio.do	
		<% if ("LOCAL".equalsIgnoreCase(q53Util.getQ53Property("ENTORNO"))){ %> // para trabajar en local
			var tmp = dominio.indexOf(":");
			if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(0, tmp);
		<% } else { %> // para conseguir sólo el dominio.do:
			var tmp = dominio.indexOf(".");
			if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(tmp+15);
		<% } %>
		cki_setCookie( "q53_destino", app, null, dominio);
		frm_destino.submit();
	}
	
	var externalAppsToActionMapping = {"administracion":"http://<%= host_msgitourbask %>/msgitourbask/Q53_Administracion.apl"}
	function irAppExterna(app){
		frm2.action = externalAppsToActionMapping[app];
		frm2.submit();
	}
</script>
